## cashbox 0.3+nmu1

=== debian/changelog ===
cashbox (0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration. (Closes: #1081572)

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Sep 2024 18:39:32 -0400
