## cashbox 0.3.2

=== Makefile ===
--- 
+++ 
@@ -64,5 +64,6 @@
 	mkdir -p po/locale/de/LC_MESSAGES
 	msgfmt po/de.po -o po/locale/de/LC_MESSAGES/cashbox.mo
 
-%.ui : %.blp
-	blueprint-compiler compile $< >$@
+# temporarily disabled: (see changelog 0.3.1)
+# %.ui : %.blp
+#	blueprint-compiler compile $< >$@
