=== debian/changelog ===
cashbox (0.3.3) unstable; urgency=medium

  * prepare Makefile to build flatpak for librem5
  * fixes to run linter pylint without warnings
  * only use 2 dir sources (cashbox and cashbox/debian)

 -- Bernd Schumacher <bernd@bschu.de>  Tue, 25 Feb 2025 13:15:41 +0100
