=== debian/changelog ===
cashbox (0.3.4) unstable; urgency=medium

  * prepare to build flatpak on flathub
    is working. flathub bot builds aarch64 and x86_64 versions.
    sucessfully tested both versions on my pc and on my librem5.
    but reviewers have to many restrictions in the moment:
    reviewers say: 
      Makefile must not use command install with option -u or -g
    reviewers say:
      environment var PREFIX has to be used instead of FLATPAK_DEST
    unbelieveable?:
      see https://github.com/flathub/flathub/pull/6600
  * use flatpak-api to reference raw files from salsa
  * reenable blueprint-compiler because bug 1084500 is fixed
  * fix new blueprint-compiler related warnings
  * use env var XDG_DATA_DIRS
  * removed some unneeded print statements

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 05 Jun 2025 13:41:52 +0200
