=== debian/changelog ===
cashbox (0.3.7) unstable; urgency=medium

  * fixed bug in receipt_widget.py: "money_out" needs recalculation, if
    "money_sum" changes after "money_in" changed

 -- Bernd Schumacher <bernd@bschu.de>  Sun, 05 Oct 2025 16:55:26 +0200

cashbox (0.3.6) UNRELEASED; urgency=medium

  * now it is proofed, that cashbox built on flathub.org works technically,
    although at this time it will not be done

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 19 Jun 2025 16:38:22 +0200

cashbox (0.3.5) UNRELEASED; urgency=medium

  * next try to make flathub reviewers happy to
    hopefully build deb and flatpak from this source

 -- Bernd Schumacher <bernd@bschu.de>  Mon, 09 Jun 2025 08:30:07 +0200
