=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3
-# temporarily disabled blueprint-compiler (see changelog 0.3.1)
+ python3,
+ blueprint-compiler
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/cashbox
 Vcs-Git: https://salsa.debian.org/debian/cashbox.git
